Subject: [Sip] one question for timeout processing in RFC3398

From: [email-masked]
Date: Sat, 18 Feb 2006 11:35:45 +0800

Hi,

In RFC3398 page 33, section 8.1.3 SIP Timeout, MGC sends CANCEL request to 
UAS when the original INVITE retransmission times out, while UAC MUST NOT 
send CANCEL request if no response is received as RFC3261 page 54, section 
9.1 Client Behavior, described:

  "If no provisional response has been received, the CANCEL request MUST
   NOT be sent; rather, the client MUST wait for the arrival of a
   provisional response before sending the request."

Is it a bug for RFC3398?

Best Regards
LionEagle

***********************************************
信息安全声明：本邮件包含信息归发件人所在组织所有，
发件人所在组织对该邮件拥有所有权利。请接收者注意
保密，未经发件人书面许可，不得向任何第
三方组织和个人透露本邮件所含信息的全部
或部分。以上声明仅适用于工作邮件。
Information Security  Notice：
The information contained in this mail is
solely property of  the sender's organization. 
This mail communication is confidential.
Recipients named above are obligated to
maintain secrecy and are not permitted to
disclose the contents of this communication
to others.
***********************************************

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Thejeswara Reddy <[email-masked]>
Date: Sat, 18 Feb 2006 11:05:23 +0000 (GMT)

please correct me if i am wrong.
  Since MGC it self has ability to send 100 trying (provisional  response), so there is no problem of sending CANCEL before provisional  responses to UAS.

  regards
  theja
[email-masked] wrote:    
Hi,  

In RFC3398 page 33, section 8.1.3 SIP  Timeout, MGC sends CANCEL request to UAS when the original INVITE retransmission  times out, while UAC MUST NOT send CANCEL request if no response is received  as RFC3261 page 54, section 9.1 Client Behavior, described:  

Is it a bug for RFC3398?  

Best Regards  
LionEagle  

---------------------------------
 Jiyo cricket on Yahoo! India cricket
Yahoo! Messenger Mobile Stay in touch with your buddies all the time.

---

From: [email-masked]
Date: Mon, 20 Feb 2006 11:33:42 +0800

Hi，theja

 If MGC send a 100 trying, there is no original INVITE retransmission 
times out.

Best Regards 
LionEagle 

====================================================
实质性的东西，用眼睛是看不见的，只有用心才能看得清
====================================================
              施浩111543
     中心研究院  固网软件开发部
Tel:    +86-25-52871361
E-mail: [email-masked]
MSN:    [email-masked]
====================================================

Thejeswara Reddy <[email-masked]>

2006-02-18 19:05
 
        收件人：        [email-masked], [email-masked]
        抄送： 
        主题：  Re: [Sip] one question for timeout processing in RFC3398

please correct me if i am wrong.
Since MGC it self has ability to send 100 trying (provisional response), 
so there is no problem of sending CANCEL before provisional responses to 
UAS.

regards
theja

Hi, 

Is it a bug for RFC3398? 

Best Regards 
LionEagle 

*********************************************** 
淇℃伅瀹夊叏澹版槑锛氭湰閭欢鍖呭惈淇℃伅褰掑彂浠朵汉鎵€鍦ㄧ粍缁囨墍鏈夛
紝 
鍙戜欢浜烘墍鍦ㄧ粍缁囧璇ラ偖浠舵嫢鏈夋墍鏈夋潈鍒┿€傝鎺ユ敹鑰呮敞鎰? 
淇濆瘑锛屾湭缁忓彂浠朵汉涔﹂潰璁稿彲锛屼笉寰楀悜浠讳綍绗? 
涓夋柟缁勭粐鍜屼釜浜洪€忛湶鏈偖浠舵墍鍚俊鎭殑鍏ㄩ儴 
鎴栭儴鍒嗐€備互涓婂０鏄庝粎閫傜敤浜庡伐浣滈偖浠躲€? 
Information Security  Notice锛? 
The information contained in this mail is 
solely property of  the sender's organization. 
This mail communication is confidential. 
Recipients named above are obligated to 
maintain secrecy and are not permitted to 
disclose the contents of this communication 
to others. 
*********************************************** 

************************************************ 
The email has  been scanned by Anti-Spam 
system,  if you find Spam or Virus in this mail, 
please forward it to IT helpdesk. 
************************************************ 

***********************************************
��Ϣ��ȫ���������ʼ�������Ϣ�鷢����������֯���У�
������������֯�Ը��ʼ�ӵ������Ȩ�����������ע��
���ܣ�δ���������������ɣ��������κε�
������֯�͸���͸¶���ʼ�������Ϣ��ȫ��
�򲿷֡����������������ڹ����ʼ���
Information Security  Notice��
The information contained in this mail is
solely property of  the sender's organization. 
This mail communication is confidential.
Recipients named above are obligated to
maintain secrecy and are not permitted to
disclose the contents of this communication
to others.
***********************************************

---

From: Thejeswara Reddy <[email-masked]>
Date: Mon, 20 Feb 2006 10:07:12 +0000 (GMT)

Hi Shi,
  
  MGC sends 100 Trying to UAC, but it sent as unreliably, so there is no  gurentee that UAC received it. so MGC sends cancel if it not receive  any provisional response from next level entity (another MGC or proxyor  UAS)

 Hiï¼Œtheja  
  
 If MGC send a 100 trying, there  is no original INVITE retransmission times out.  
  
Best Regards  
  LionEagle   
  
====================================================
  å®žè´¨æ€§çš„ä¸œè¥¿ï¼Œç”¨çœ¼ç›æ˜¯çœ‹ä¸è§çš„ï¼Œåªæœ‰ç”¨å¿ƒæ‰èƒ½çœ‹å¾—æ¸…
  ====================================================
                æ–½æµ©111543
       ä¸­å¿ƒç ”ç©¶é™¢  å›ºç½‘è½¯ä»¶å¼€å‘éƒ¨
  Tel:    +86-25-52871361
  E-mail: [email-masked]
  MSN:    [email-masked]
  ====================================================  

          
        æ”¶ä»¶äººï¼š         [email-masked], [email-masked]  
        æŠ„é€ï¼š           
        ä¸»é¢˜ï¼š         Re: [Sip] one question for timeout processing  in RFC3398  

  regards
  theja

  Hi, 

  
  Is it a bug for RFC3398? 

  Best Regards 
  LionEagle 

  *********************************************** 
  æ·‡â„ƒä¼…ç€¹å¤Šåæ¾¹ç‰ˆæ§‘é”›æ°­æ¹°é–­î†»æ¬¢é–å‘­æƒˆæ·‡â„ƒä¼…è¤°æŽ‘å½‚æµ æœµæ±‰éŽµâ‚¬é¦ã„§ç²ç¼å›¨å¢éˆå¤›ç´  
  é™æˆœæ¬¢æµœçƒ˜å¢é¦ã„§ç²ç¼å›§î‡®ç’‡ãƒ©å–æµ èˆµå«¢éˆå¤‹å¢éˆå¤‹æ½ˆé’â”¿â‚¬å‚î‡¬éŽºãƒ¦æ•¹é‘°å‘®æ•žéŽ°?  
  æ·‡æ¿†ç˜‘é”›å±¾æ¹­ç¼å¿“å½‚æµ æœµæ±‰æ¶”ï¹‚æ½°ç’ç¨¿å½²é”›å±¼ç¬‰å¯°æ¥€æ‚œæµ è®³ç¶ç»—?  
  æ¶“å¤‹æŸŸç¼å‹­ç²éœå±¼é‡œæµœæ´ªâ‚¬å¿›æ¹¶éˆî„„å–æµ èˆµå¢éšî‚¡ä¿ŠéŽ­îˆœæ®‘éã„©å„´  
  éŽ´æ å„´é’å—â‚¬å‚™äº’æ¶“å©‚ï¼é„åºç²Žé–«å‚œæ•¤æµœåº¡ä¼æµ£æ»ˆå–æµ èº²â‚¬?  
  Information Security  Noticeé”›? 
  The information contained in this mail is 
  solely property of  the sender's organization.  
  This mail communication is confidential. 
  Recipients named above are obligated to 
  maintain secrecy and are not permitted to 
  disclose the contents of this communication 
  to others. 
  *********************************************** 

  ***********************************************  
  ÐÅÏ¢°²È«ÉùÃ÷£º±¾ÓÊ¼þ°üº¬ÐÅÏ¢¹é·¢¼þÈËËùÔÚ×éÖ¯ËùÓÐ£¬  
  ·¢¼þÈËËùÔÚ×éÖ¯¶Ô¸ÃÓÊ¼þÓµÓÐËùÓÐÈ¨Àû¡£Çë½ÓÊÕÕß×¢Òâ  
  ±£ÃÜ£¬Î´¾·¢¼þÈËÊéÃæÐí¿É£¬²»µÃÏòÈÎºÎµÚ  
  Èý·½×éÖ¯ºÍ¸öÈËÍ¸Â¶±¾ÓÊ¼þËùº¬ÐÅÏ¢µÄÈ«²¿  
  »ò²¿·Ö¡£ÒÔÉÏÉùÃ÷½öÊÊÓÃÓÚ¹¤×÷ÓÊ¼þ¡£  
  Information Security  Notice£º  
  The information contained in this mail is  
  solely property of  the sender's organization.   
  This mail communication is confidential.  
  Recipients named above are obligated to  
  maintain secrecy and are not permitted to  
  disclose the contents of this communication  
  to others.  
  ***********************************************